org.apache.commons.ssl.rmi

## Class DateRMI

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteServer
    - - java.rmi.server.UnicastRemoteObject
      - - org.apache.commons.ssl.rmi.DateRMI

All Implemented Interfaces:
  java.io.Serializable, java.rmi.Remote, RemoteDate

    public class DateRMI
    extends java.rmi.server.UnicastRemoteObject
    implements java.rmi.Remote, java.io.Serializable, RemoteDate

Since:
  22-Feb-2007
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com
See Also:
  Serialized Form

### Field Summary

Fields
`private java.util.Date` `d`

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Constructor Summary

Constructors
Constructor and Description
`DateRMI()`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.util.Date` `getDate()`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### d

    private java.util.Date d

### Constructor Detail

#### DateRMI

    public DateRMI()
            throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### Method Detail

#### getDate

    public java.util.Date getDate()
                           throws java.rmi.RemoteException

Specified by:
  `getDate` in interface `RemoteDate`
Throws:
  `java.rmi.RemoteException`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.rmi.server.RemoteObject`